ResourceRegistration
Date: 2014-06-19

org.gcube.informationsystem.registry.impl.porttypes

## Class ResourceRegistration

- java.lang.Object
- - GCUBEPortType
  - - org.gcube.informationsystem.registry.impl.porttypes.ResourceRegistration

-     public class ResourceRegistration
      extends GCUBEPortType

  Implementation of the ResourceRegistration portType
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceRegistration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateResponse` | `create(CreateMessage message)` Creates a new resource
    `RemoveResponse` | `remove(RemoveMessage message)` Removes a resource
    `UpdateResponse` | `update(UpdateMessage message)` Updates an existing resource

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceRegistration

          public ResourceRegistration()

  - ### Method Detail

    - #### create

          public CreateResponse create(CreateMessage message)
                                throws InvalidResourceFault,
                                       ResourceNotAcceptedFault,
                                       CreateFault

      Creates a new resource
      Parameters:
        `message` -
      Returns:
      Throws:
        `SchemaValidationFault`
        `ResourceNotAcceptedFault`
        `CreateFaultType`
        `InvalidResourceFault`
        `CreateFault`

    - #### update

          public UpdateResponse update(UpdateMessage message)
                                throws InvalidResourceFault,
                                       ResourceNotAcceptedFault,
                                       UpdateFault

      Updates an existing resource
      Parameters:
        `message` -
      Returns:
      Throws:
        `SchemaValidationFault`
        `ResourceNotAcceptedFault`
        `UpdateFaultType`
        `InvalidResourceFault`
        `UpdateFault`

    - #### remove

          public RemoveResponse remove(RemoveMessage message)
                                throws RemoveFault,
                                       java.rmi.RemoteException

      Removes a resource
      Parameters:
        `message` - id and type of the resource to remove
      Returns:
        an empty message
      Throws:
        `ResourceDoesNotExistFaultType` - if the resource does not exist
        `RemoveFaultType` - if an error occurs during the removal
        `RemoveFault`
        `java.rmi.RemoteException`